<template>
  <div>
    <v-card
      class="breadcrumbs v-sheet theme--light"
      color=""
      style="width: 100%"
      flat
      tile
    >
      <v-row class="d-flex align-center mt-8 mb-3 px-5 py-1 mx-1 no-gutters">
        <v-col
          class="d-sm-flex justify-md-start justify-space-between align-center col-md-6 col-12"
        >
          <p class="h1 main-page-title greyMedium--text mb-0 mr-2 pt-4 pt-md-0">
            Dashboard
          </p>

          <v-tabs center-active v-model="tabs">
            <v-tab class="ma-2"> รายวัน </v-tab>
            <v-tab class="ma-2"> รายสัปดาห์ </v-tab>
            <v-tab class="ma-2"> รายเดือน </v-tab>
            <v-tab class="ma-2"> รายปี </v-tab>
          </v-tabs>
        </v-col>
        <v-spacer></v-spacer>
        <v-col
          class="d-sm-flex justify-space-between align-center justify-md-end col-md-6 col-12"
        >
          <v-spacer></v-spacer>
          <div>
            <v-menu v-model="menu2">
              <template v-slot:activator="{ on, attrs }">
                <v-text-field
                  v-model="date"
                  prepend-icon="mdi-calendar"
                  readonly
                  v-bind="attrs"
                  v-on="on"
                ></v-text-field>
              </template>
              <v-date-picker
                v-model="date"
                @input="menu2 = false"
              ></v-date-picker>
            </v-menu>
          </div>
          <v-btn icon>
            <v-icon>mdi-dots-vertical</v-icon>
          </v-btn>
        </v-col>
      </v-row>
    </v-card>

    <v-tabs-items v-model="tabs">
      <v-tab-item>
        <daily />
      </v-tab-item>
      <v-tab-item>
        <weekly />
      </v-tab-item>
      <v-tab-item>
        <monthly />
      </v-tab-item>
      <v-tab-item>
        <yearly />
      </v-tab-item>
    </v-tabs-items>
  </div>
</template>
<script>
import daily from '@/components/dashboard/daily.vue'
import weekly from '@/components/dashboard/weekly.vue'
import monthly from '@/components/dashboard/monthly.vue'
import yearly from '@/components/dashboard/yearly.vue'
import { mapGetters, mapActions } from 'vuex'
export default {
  components: {
    daily,
    weekly,
    monthly,
    yearly,
  },
  data() {
    return {
      tabs: null,
      menu: false,
      modal: false,
      menu2: false,
    }
  },
  computed: {
    date: {
      get() {
        return new Date(this.$store.state.template.dashboardTime)
          .toISOString()
          .substr(0, 10)
      },
      set(newVal) {
        this.$store.commit('SET_DASHBOARDTIME', newVal)
      },
    },
    // ...mapGetters({
    //   costTable: 'getExpensesData',
    //   lastID: 'getExpensesTableID',
    //   costList: 'getExpensesList',
    // }),
    // findLastID() {
    //   return this.lastID
    // },
    // itemTable() {
    //   return this.costTable
    // },
    // itemList() {
    //   return this.costList
    // },
  },
  created() {
    // var parsedyourElement = JSON.parse(
    //   JSON.stringify(this.$nuxt.$store.state.expensestable.ExpensesTable)
    // )
  },
  mounted() {
    this.callTableAll()
    this.findID()
    this.callListAll()
    this.callUnitAll()
    this.callTypeAll()
  },
  methods: {
    ...mapActions({
      callTableAll: 'callTableAll',
      findID: 'findID',
      callListAll: 'callListAll',
      callUnitAll: 'callUnitAll',
      callTypeAll: 'callTypeAll',
    }),
  },
}
</script>
<style scoped>
.v-window-item {
  background-color: #e8eaf6;
}
</style>
